.homeSlider {
  overflow : hidden;
}

.featuredProducts__container {
  padding : 5vh 0;
}

section.homeSlider__container.container-primary {
  display               : grid;
  grid-template-columns : minmax(0, 520px) 1fr;
  gap                   : 20px;
  padding               : 35px 0;
}

.homeSlider .swiper-container {
  width : 100%;
}

.bwa-responsive-slider .swiper-pagination-bullet {
  background : var(--color-white-default);
  opacity    : 1;
}

.bwa-responsive-slider .swiper-pagination-bullet-active {
  background      : var(--gradient-user-context);
  width           : 20px;
  background-size : 200% 200%;
  border-radius   : 10px;
}

.bwa-responsive-slider img {
  object-fit      : cover;
  object-position : right;
  height          : 100%;
}

.bwa-responsive-slider picture, .bwa-responsive-slider .slide, .bwa-responsive-slider a, .homeSlider .swiper-container {
  height : 100%;
}


.bwa-responsive-slider .swiper-pagination-bullet-active {
  background    : white;
  width         : 35px;
  border-radius : 20px;
  position      : relative;
  overflow      : hidden;
  opacity       : 1;
}

/* Animation de progression pour le bullet actif */
.bwa-responsive-slider .swiper-pagination-bullet-active::before {
  content       : '';
  position      : absolute;
  top           : 0;
  left          : 0;
  width         : 0;
  height        : 100%;
  background    : var(--color-secondary);
  border-radius : 20px;
  animation     : progressFill 5s linear forwards;
}

@keyframes progressFill {
  0% {
    width : 0;
  }
  100% {
    width : 100%;
  }
}

.bwa-responsive-slider .swiper-pagination-bullet-active::before {
  animation : progressFill 5s linear forwards;
}


/********************
	Part - Services
********************/

.service-section {
  background  : var(--color-primary);
  position    : relative;
  display     : flex;
  align-items : center;
  overflow    : hidden;
}

.service-svg {
  position : absolute;
  bottom   : 0;
  left     : 0;
}

.service-group__header {
  display         : flex;
  padding-top     : 90px;
  gap             : 20px;
  justify-content : space-between;
}

.service-group__header-right {
  max-width : 45%;
}

.service-container {
  display  : flex;
  gap      : 25px;
  position : relative;
  padding  : 60px 0 90px;
  z-index  : 1;
}

.service-title {
  display     : flex;
  align-items : center;
  gap         : 20px;
  width       : 280px;
  overflow    : hidden;
  white-space : nowrap;
}

.service-title__line {
  width      : 200px;
  background : var(--gradient-pro);
  height     : 3px;
}

.service-group__header-left .service-title span {
  color       : var(--color-white-default);
  text-align  : right;
  font-size   : 28px;
  font-style  : normal;
  font-weight : 700;
  line-height : 42px;
}

.service-group__header-left .service-subtitle {
  color       : var(--color-white-default);
  font-size   : 26px;
  font-style  : normal;
  font-weight : 500;
  line-height : 140%;
}

.service-group__header-right p {
  color       : var(--color-white-default);
  font-size   : 15px;
  font-style  : normal;
  font-weight : 500;
  line-height : 180%;
  opacity     : 0.7;
}

.service-media {
  border-radius : 10px;
}

a.service_link {
  position      : relative;
  border-radius : 10px;
}

.service-text-container {
  position       : absolute;
  bottom         : 0;
  padding        : 0 0 45px 50px;
  display        : flex;
  flex-direction : column;
  gap            : 10px;
  width          : 70%;
}

.service-group .media-container {
  overflow      : hidden;
  border-radius : 10px;
}

.service_link .default-media {
  width      : 100%;
  transition : transform 0.3s ease-in-out;
}

.service_link:hover .default-media {
  transform : scale(1.05);
}

h5.service-text_title {
  color          : var(--color-white-default);
  font-size      : 38px;
  font-style     : normal;
  font-weight    : 600;
  line-height    : 40px;
  letter-spacing : -1.52px;
  margin         : 0;
}

.service-body .service-text {
  color       : var(--color-secondary);
  font-size   : 16px;
  font-style  : normal;
  font-weight : 600;
  line-height : normal;
  display     : flex;
  gap         : 7px;
}

.service-text_btn {
  position      : relative;
  margin-bottom : 6px;
}

.service_link .service-text_btn:after {
  content          : '';
  position         : absolute;
  width            : calc(100% + 15px);
  left             : 0;
  height           : 1px;
  background-color : var(--color-secondary);
  bottom           : -5px;
  transform-origin : right;
  transform        : scaleX(0);
  transition       : transform 0.25s ease-in, width .25s ease-in, left .25s ease-in;
}

.service_link:hover .service-text_btn:after {
  transform        : scaleX(1);
  width            : calc(100% + 15px);
  left             : 0;
  transition-delay : .35s;
}

.service_link .service-text_svg {
  transform : rotate(45deg);
}

.service_link .service-text_svg line {
  stroke-dasharray  : 9 0;
  stroke-dashoffset : 0;
  transition        : stroke-dashoffset .35s ease-out, stroke-dasharray .35s ease-out;
  transition-delay  : .35s;
}

.service_link:hover .service-text_svg line {
  stroke-dashoffset : 20;
  stroke-dasharray  : 18 25;
  transition-delay  : 0s;
}

.service_link .service-text_svg path {
  stroke-dasharray  : 15 15;
  stroke-dashoffset : -14;
  transition        : stroke-dasharray .25s ease-out;
  transition-delay  : .3s;
}

.service_link:hover .service-text_svg path {
  stroke-dasharray : 0 15;
  transition-delay : .1s;
}

/********************
	Part - Évole Group
********************/

section.evole-group_section {
  background : var(--color-white-default);
  position   : relative;
  padding    : 100px 0 95px;
}

.evole-group.container-secondary {
  display               : grid;
  grid-template-columns : 1fr 1fr;
  gap                   : 120px;
  z-index               : 1;
}

.evole-group_section .evole-group_svg {
  position : absolute;
  bottom   : 0;
  right    : calc(var(--container-primary-margin) / 2);
}

.evole-group_text {
  font-size   : 28px;
  font-style  : normal;
  font-weight : 700;
  line-height : 42px;
}

.evole-group_text p,
.evole-group_text span {
  display : inline;
  margin  : 0;
}

.evole-group_body-title {
  margin : 0 5px !important;
  color  : var(--color-secondary);
}

.evole-group_body {
  display        : flex;
  flex-direction : column;
  gap            : 30px;
}

.evole-group_description {
  color       : var(--color-primary);
  font-size   : 15px;
  font-style  : normal;
  font-weight : 500;
  line-height : 180%;
  opacity     : 0.7;
}

.evole-group_buttons.btn.btn-primary a {
  color          : var(--color-white-default);
  text-align     : center;
  font-size      : 16px;
  font-style     : normal;
  font-weight    : 600;
  line-height    : normal;
  text-transform : none;
}

.evole-group_buttons.btn.btn-primary {
  width   : fit-content;
  padding : 15px 40px;
}

/********************
	Part - Jobs
********************/

section.job-section {
  background  : var(--color-primary);
  position    : relative;
  display     : flex;
  align-items : center;
  overflow    : hidden;
}

svg.job-section_svg {
  position : absolute;
  bottom   : 0;
  left     : 0;
}

.job-section .job-container {
  padding     : 120px 0 100px;
  display     : flex;
  margin-left : var(--container-secondary-margin);
  gap         : 10rem;
  max-width   : calc(100vw - var(--container-secondary-margin));
}

.job-section_header {
  max-width : 480px;
}

.job-section_title {
  display        : flex;
  gap            : 16px;
  flex-direction : column;
}

.job-section_description {
  color       : var(--color-white-default);
  opacity     : 0.7;
  font-size   : 15px;
  font-style  : normal;
  font-weight : 500;
  line-height : 180%;
  margin-top  : 16px;
}

.job-section__line {
  width      : 200px;
  background : var(--gradient-pro);
  height     : 3px;
}

.job-section_title span {
  color       : var(--color-white-default);
  font-size   : 26px;
  font-style  : normal;
  font-weight : 500;
  line-height : 140%;
}

a.job-link {
  display         : flex;
  flex-direction  : column;
  height          : 100%;
  justify-content : space-between;
  gap             : 15px;
}

.job-header {
  display     : flex;
  align-items : center;
  gap         : 5px;
  height      : 100%;
}

.job-header .job-title:after {
  content          : '';
  position         : absolute;
  width            : calc(100% + 15px);
  left             : -15px;
  height           : 1px;
  background-color : var(--color-secondary);
  bottom           : -5px;
  transform-origin : left;
  transform        : scaleX(0);
  transition       : transform 0.25s ease-in, width .25s ease-in, left .25s ease-in;
}

.job-section_slide:hover .job-header .job-title:after {
  transform        : scaleX(1);
  width            : calc(100%);
  left             : 0;
  transition-delay : .35s;
}

h5.job-title {
  color         : var(--color-white-default);
  font-size     : 15px;
  font-style    : normal;
  font-weight   : 700;
  line-height   : normal;
  position      : relative;
  margin-top    : 0;
  margin-bottom : 6px;
}

.job-section_slide .job-header_svg {
  transform : rotate(45deg);
}

.job-section_slide .job-header_svg line {
  stroke-dasharray  : 9 0;
  stroke-dashoffset : 0;
  transition        : stroke-dashoffset .35s ease-out, stroke-dasharray .35s ease-out;
  transition-delay  : .35s;
}

.job-section_slide:hover .job-header_svg line {
  stroke-dashoffset : 20;
  stroke-dasharray  : 18 25;
  transition-delay  : 0s;
}

.job-section_slide .job-header_svg path {
  stroke-dasharray  : 15 15;
  stroke-dashoffset : -14;
  transition        : stroke-dasharray .25s ease-out;
  transition-delay  : .3s;
}

.job-section_slide:hover .job-header_svg path {
  stroke-dasharray : 0 15;
  transition-delay : .1s;
}

.job-section .media-container {
  overflow      : hidden;
  border-radius : 10px;
}

a.job-link:hover {
  color : var(--color-white-default);
}

a.job-link:hover .default-media {
  transform : scale(1.05);
}

.job-header_svg {
  color : var(--color-secondary);
}

.job-header_svg, .job-section .default-media {
  transition : all 0.3s ease-in-out;
}

.job-section .default-media {
  width : 100%;
}

/***************************
	Part - Order Online
****************************/

.energy-order-card {
  border-radius : 7px;
  background    : linear-gradient(282deg, #00A4BC -40.28%, #2C3248 95.77%);
  padding       : 35px 60px 50px 40px;
}

.energy-order-card h2 {
  color          : #FFF;
  font-size      : 38px;
  font-style     : normal;
  font-weight    : 600;
  line-height    : 40px;
  letter-spacing : -1.14px;
  margin         : 0;
}

.energy-order-card .subtitle {
  color       : #FFF;
  font-size   : 15px;
  font-style  : normal;
  font-weight : 500;
  line-height : normal;
  padding     : 30px 0 20px;
}

.energy-options {
  display               : grid;
  grid-template-columns : 1fr 1fr 1fr;
  grid-gap              : 20px;
  width                 : 80%;
}

.energy-btn {
  margin          : 0;
  border-radius   : 7px;
  border          : 1px solid #789AA7;
  padding         : 15px;
  display         : flex;
  flex-direction  : column;
  gap             : 12px;
  align-items     : center;
  justify-content : center;
  color           : var(--color-white-default);
  text-align      : center;
  font-size       : 14px;
  font-style      : normal;
  font-weight     : 500;
  line-height     : normal;
  cursor          : pointer;
  transition      : all 0.3s ease-in-out;
}

.energy-btn:hover {
  border : 1px solid var(--color-white-default);
}

.energy-btn.active {
  border : 1px solid var(--color-white-default);
}

.zipcode-check {
  display     : flex;
  align-items : flex-end;
  gap         : 20px;
}

#zipcode-check__commune-container {
  display : none;
}

.zipcode-check_container-input {
  display        : flex;
  flex-direction : column;
  gap            : 10px;
  position       : relative;
}

#zipcode_input, #zipcode-check_commune {
  border-radius : 7px;
  border        : 1px solid #789AA7;
  color         : var(--color-white-default);
  background    : none;
  padding       : 8px 13px;
  transition    : all 0.3s ease-in-out;
  height        : 50px;
  max-width     : 230px;
  width         : 100%;
}

#zipcode-check_commune option {
  color : var(--color-primary);
}

#zipcode_input:focus, #zipcode-check_commune:focus {
  outline : none;
  border  : 1px solid var(--color-white-default);
}

#zipcode_input::placeholder, #zipcode-check_commune::placeholder {
  color   : var(--color-white-default);
  opacity : 0.8;
}

#check_prices_btn {
  color          : var(--color-white-default);
  text-align     : center;
  font-size      : 15px;
  font-style     : normal;
  font-weight    : 600;
  line-height    : normal;
  text-transform : initial;
  height         : 50px;
  width          : 100%;
}

@keyframes shake {
  0%, 100% {
    transform : translateX(0);
  }
  20%, 60% {
    transform : translateX(-8px);
  }
  40%, 80% {
    transform : translateX(8px);
  }
}

.shake {
  animation : shake 0.4s ease;
  border    : 1px solid red !important;
}

.faq-group {
  display : flex;
  gap     : 5rem;
  padding : 120px 0;
}

.faq-section__title {
  color       : var(--color-primary);
  font-size   : 28px;
  font-style  : normal;
  font-weight : 700;
  line-height : 42px;
  margin      : 0 0 20px;
}

/* FAQ Accordion styles */
.faq-item__accordion .accordion-item {
  cursor        : pointer;
  border-bottom : 1px solid rgba(255, 255, 255, 0.1);
  transition    : all 0.3s ease;
  position      : relative;
  font-size     : 37.55px;
  font-style    : normal;
  font-weight   : 600;
  line-height   : 140%;
  opacity       : 0.3;
}

.faq-item__accordion .accordion-item.active {
  opacity                 : 1;
  background              : var(--gradient-customer);
  background-clip         : text;
  -webkit-background-clip : text;
  -webkit-text-fill-color : transparent;
}

.faq-item__accordion .accordion-item:hover {
  opacity : 1;
}

.faq-item__accordion .accordion-content-wrapper {
  overflow   : hidden;
  max-height : 0;
  transition : max-height 0.4s ease;
}

.faq-item__accordion .accordion-item.active .accordion-content-wrapper {
  max-height : 500px;
}

.faq-item__accordion .accordion-content {
  color                   : var(--color-primary);
  font-size               : 15px;
  font-style              : normal;
  font-weight             : 500;
  line-height             : 180%;
  opacity                 : 0.7;
  -webkit-text-fill-color : initial;
  background-clip         : initial;
  -webkit-background-clip : initial;
}

.faq-item__accordion .accordion-content p {
  margin : 0 0 8px 0;
}

.faq-item__accordion .accordion-content p:last-child {
  margin-bottom : 0;
}

.faq-item__accordion {
  display        : flex;
  flex-direction : column;
  gap            : 16px;
}

.faq-section {
  background : var(--color-white-default);
  position   : relative;
}

.faq-section__svg {
  position : absolute;
  left     : 0;
  bottom   : 0;
}

.faq-item__media-container {
  position : relative;
}

.faq-item__media-svg {
  position : absolute;
  bottom   : -3rem;
  right    : -3rem;
  width    : 70%;
}

.faq-section__container {
  z-index : 1;
}

.process-step__media {
  position : relative;
}

.process-step__overlay {
  position : absolute;
  bottom   : 0;
  left     : 0;
}

h3.process-step__title {
  color       : var(--color-white-default);
  font-size   : 15px;
  font-style  : normal;
  font-weight : 700;
  line-height : normal;
  padding     : 22px;
  margin      : 0;
  gap         : 6px;
  display     : flex;
  align-items : center;
}

span.process-step__number-text {
  font-size               : 40.958px;
  font-style              : normal;
  font-weight             : 700;
  line-height             : normal;
  background              : var(--gradient-customer);
  background-clip         : text;
  -webkit-background-clip : text;
  -webkit-text-fill-color : transparent;
}

section.process-steps-section {
  padding  : 64px 0;
  position : relative;
}

.process-steps__container {
  display        : flex;
  flex-direction : column;
  gap            : 32px;
  z-index        : 1;
}

.process-steps__title {
  color       : var(--color-primary);
  text-align  : center;
  font-size   : 28px;
  font-style  : normal;
  margin      : 0;
  font-weight : 700;
  line-height : 42px;
}

a.process-steps__cta-button.btn.btn-primary {
  padding : 17px 40px;
}

.process-steps__cta {
  display         : flex;
  justify-content : center;
}

.process-steps__svg {
  position : absolute;
  bottom   : 0;
  right    : 0;
}

span.process-steps__title-accent {
  background              : var(--gradient-customer);
  background-clip         : text;
  -webkit-background-clip : text;
  -webkit-text-fill-color : transparent;
  font-size               : 28px;
  font-style              : normal;
  font-weight             : 700;
  line-height             : 42px;
}
